<!--
  Generated template for the AddmemtogroupPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content padding class="wrap-all">
	<div class="close-btn-container">
		<button class="close-btn" (click)="modalDismiss()"></button>
	</div>
	<div class="all-content-container">
		<div class="title-outer-container">
			<p class="title">Add New Member</p>
		</div>
		<ion-searchbar class="all-joined-group-search-bar" [(ngModel)]="searchString" (input)="searchuser($event)" placeholder="Search" (ionClear)="onClearSearchBar($event)"></ion-searchbar>
		<ion-list no-lines>
			<div *ngFor="let allFriends of friendList$ | async; let i = index">
				<div *ngFor="let allUser of userList$ | async">
					<div *ngIf="!filterExistingUser(allFriends.key)">
						<ion-item *ngIf="allUser.key == allFriends.key" class="friend-list-item">
							<ion-avatar item-left>
					            <img-loader src="{{ allUser.photoURL }}" useImg></img-loader>
					        </ion-avatar>
					        <ion-label>{{ allUser.displayName }}</ion-label>
					        <ion-checkbox (ionChange)="addUserToList(allFriends.key)" [checked]="checking(allFriends.key)" item-right class="add-mem-check-box"></ion-checkbox>
						</ion-item>
					</div>
				</div>
			</div>
		</ion-list>
		<div class="add-button-container">
			<button [disabled]="checkedCount < 1" (click)="submitAddMemberList()" class="add-btn">Add</button>
		</div>
	</div>
</ion-content>
